# Django backend ONE.UP

[![coverage report](https://gitup.uni-potsdam.de/innohs/rest-api/badges/master/coverage.svg)](https://gitup.uni-potsdam.de/innohs/rest-api/commits/master)
[![coverage report](https://gitup.uni-potsdam.de/innohs/rest-api/badges/master/build.svg)](https://gitup.uni-potsdam.de/innohs/rest-api/commits/master)

## How to run

`docker build -t registry.cs.uni-potsdam.de/innohs/restapi-base -f Dockerfile.base .; docker compose up -d --build`

After every container has started you can use the following links:
* http://localhost:8000 - the frontend for all functions
* http://localhost:8000/admin - you have to create one or multiple super users to use the admin interface.
Custom functions could be seen in the [Custom Admin Functions](#custom-admin-functions)
* http://localhost:5555/ - Flower Dashboard. See all Celery tasks and their results.

Possibility to test in docker environment:

`docker exec -e PATH=/usr/local/bin oneup-django-web-1 python manage.py test --no-input --settings=one_
api.settings_prod`

## Custom Admin Functions

### articles.user
* deactivate_user - Deactivate selected users. It isn't a good idea to delete users, because there is a possibility to lose important data. 
* create_user - Regardless of the user selection, it is possible to generate a number of new users with random numbers (between 10,000 and 100,000).

## custom function
* start UP News crop with `http://localhost:8000/crop/start`

## Steps to clean data

### Media
* union sub media with main medium, like "Märkische Allgemeine" (main medium) and "Märkische Allgemeine - Westhavelländer", "Märkische Allgemeine - Potsdamer Tageszeitung"