"""Configuration of Apps"""

from django.apps import AppConfig
from django.db.models.signals import post_migrate
from articles.db_views import create_view


class ArticlesConfig(AppConfig):
    """Standard config module"""
    name = 'articles'

    def ready(self):
        """Config method if application is ready"""
        post_migrate.connect(create_view, sender=self)

        # Implicitly connect a signal handlers decorated with @receiver.
        # pylint: disable=import-outside-toplevel
        # pylint: disable=unused-import
        import articles.signals  # noqa: F401
        from articles.models import User, Tag  # noqa: F401
        # pylint: enable=unused-import
        # pylint: enable=import-outside-toplevel
        if User.objects.filter(id_tag=1).count() == 0:
            user = User(id_tag=1)
            user.save()
            for tag in Tag.objects.all():
                user.favorite_tags.add(tag)
            user.save()
