""" All custom signal handler """

import logging

from django.db.models.signals import post_save
from django.dispatch import receiver

from articles.models import Files
from articles.data_extraction.tasks import extract_information_from_file

logger = logging.getLogger(__name__)


@receiver(post_save, sender=Files)
def post_save_file(instance, created, **kwargs):
    """ create tasks if files are saved in the database """
    logger.debug('received signal from post_save for file-candidate with pk %s', str(instance.pk))
    if created:
        # without this construction we will not see any exceptions
        extract_information_from_file.delay(instance.pk)
    else:
        logger.debug('nothing to do here')
