""" URLs for this module """
from django.conf.urls.static import static
from django.urls import path, include

from articles import views
from one_api import settings_prod

article_urlpatterns = [
    path('articles', views.ArticleList.as_view()),
    path('articles/<int:pk>', views.ArticleDetail.as_view()),
    path('media', views.MediumList.as_view()),
    path('media/<int:pk>', views.MediumDetail.as_view()),
    path('mediumtype', views.MediumTypeList.as_view()),
    path('mediumtype/<int:pk>', views.MediumTypeDetail.as_view()),
    path('tags/timeview', views.TimelineList.as_view()),
    path('overview', views.OverviewList.as_view()),
    path('top/media', views.TopMediaView.as_view()),
    path('top/tags', views.HotTopics.as_view()),
    path('user/tags', views.UserFavoriteTags.as_view()),
]

wizard_urlpatterns = [
    path('overview', views.OverviewDashboard.as_view()),
    path('simulator', views.Simulator.as_view()),
]

pr_upload_urlpatterns = [
    path('', views.UploadView.as_view(), name='fileupload'),
] + static(settings_prod.MEDIA_URL, document_root=settings_prod.MEDIA_ROOT)

urlpatterns = [
    path('articles/', include(article_urlpatterns)),
    path('wizard/', include(wizard_urlpatterns)),
    path('pr_upload/', include(pr_upload_urlpatterns)),
    path('', views.Home.as_view()),
]
