""" Function for OZ """

import logging
import secrets

from articles.models import User

logger = logging.getLogger(__name__)


def create_users_in_db(user_count):
    """ creates x users """
    user_ids = []
    for _ in range(0, user_count):
        id_tag = secrets.choice(list(range(10000, 100000)))
        user = User(id_tag=id_tag)
        user.save()
        logger.info("User created with: %i", user.id_tag)
        user_ids.append(user.id_tag)
    return user_ids


def deactivate_user(*user_ids):
    """ instead of deleting a user she or he can be deactivated """
    for user_id in user_ids:
        user = User.objects.get(id=user_id)
        user.activated = False
        user.save()
