""" All tasks for cropping """
import logging

from celery import shared_task
from django.utils import timezone

from cropping.cropper import start_crop
from cropping.models import CropSession

logger = logging.getLogger(__name__)


@shared_task
def crop_up_news():
    """ runs the entire webmediacropping process """
    logger.info("start crop UP News")
    crop_session = CropSession(date_of_crop=timezone.now())
    crop_session.save()
    logger.debug('saved session %s', crop_session.pk)

    prefix = 'https://www.uni-potsdam.de/de/nachrichten/page-'
    sets = '?tx_news_pi1[overwriteDemand][categories]='
    start_crop(prefix, sets, crop_session)
    logger.info("finished crop UP News")
