DROP VIEW IF EXISTS tag_reach;
# ---
CREATE VIEW tag_reach AS
SELECT
       t.name as name,
       YEAR(a.date_of_publication) as year,
       MONTH(a.date_of_publication) as month,
       COUNT(a.name) as 'article_count',
       SUM(a.reach) as 'reach'
FROM article a JOIN articleTag aT2 on a.id = aT2.article_id JOIN tag t on t.id = aT2.tag_id
GROUP BY YEAR (a.date_of_publication), MONTH (a.date_of_publication), t.name;
# ---
DROP VIEW IF EXISTS tag_article;
# ---
CREATE VIEW tag_article AS
SELECT
       a.id as id,
       t.name as name,
       a.name as article_name,
       m.name as medium_name,
       a.date_of_publication as date_of_publication,
       a.reach as reach
FROM article a,tag t,articleTag artTag,medium m
WHERE a.id = artTag.article_id AND t.id = artTag.tag_id AND m.id = a.medium_id;
# ---
DROP VIEW IF EXISTS top_media;
# ---
CREATE VIEW top_media AS
SELECT
       m.name as name,
       COUNT(a.id) as count
FROM medium as m, article as a
WHERE a.medium_id = m.id
GROUP BY m.name
ORDER BY count DESC;
# ---
DROP VIEW IF EXISTS top_tags;
# ---
CREATE VIEW top_tags AS
SELECT
       t.name as name,
       COUNT(a.id) as count
FROM article as a
JOIN articleTag aT2 on a.id = aT2.article_id
JOIN tag t on t.id = aT2.tag_id
GROUP BY t.name
ORDER BY count DESC;